Sunday, December 02, 2012

But the mandate comes from the government, doesn't it? Therefore, it must be good for my car!

Do you drive a flex-fuel vehicle? How about a 2012 and newer General Motors vehicle? How about a 2013 Ford? Oh, you probably drive a 2001 or newer Porsche. No? Well, then the new E15 Ethanol blend being required by the federal government will likely damage the car you are driving, and cause vehicle makers to void warranties. Why would they void warranties? Because the new blend causes potential corrosive damage to fuel lines, gaskets and other engine components.

Read more here:

No comments: